Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
QuatF Class Reference

`#include <mQuat.h>`

Inheritance diagram for QuatF:

## Public Member Functions
| QuatF ()
| QuatF (F32 _x, F32 _y, F32 _z, F32 w)
| QuatF (const MatrixF &m)
| QuatF (const AngAxisF &a)
| QuatF (const EulerF &e)
QuatF & | set (F32 _x, F32 _y, F32 _z, F32 _w)
QuatF & | set (const MatrixF &m)
QuatF & | set (const AngAxisF &m)
QuatF & | set (const EulerF &e)
int | operator== (const QuatF &c) const
int | operator!= (const QuatF &c) const
QuatF & | operator*= (const QuatF &c)
QuatF & | operator/= (const QuatF &c)
QuatF & | operator+= (const QuatF &c)
QuatF & | operator-= (const QuatF &c)
QuatF & | operator*= (F32 a)
QuatF & | operator/= (F32 a)
QuatF & | square ()
QuatF & | neg ()
F32 | dot (const QuatF &q) const
MatrixF * | setMatrix (MatrixF *mat) const
QuatF & | normalize ()
QuatF & | inverse ()
QuatF & | identity ()
int | isIdentity () const
QuatF & | slerp (const QuatF &q, F32 t)
QuatF & | extrapolate (const QuatF &q1, const QuatF &q2, F32 t)
QuatF & | interpolate (const QuatF &q1, const QuatF &q2, F32 t)
F32 | angleBetween (const QuatF &q)
Point3F & | mulP (const Point3F &a, Point3F *b)
QuatF & | mul (const QuatF &a, const QuatF &b)

## Public Attributes
F32 | x
F32 | y
F32 | z
F32 | w

## Constructor & Destructor Documentation

QuatF | ( |  | ) |
| inline

QuatF | ( | F32 | _x,
|  | F32 | _y,
|  | F32 | _z,
|  | F32 | w
| ) |  |
| inline

QuatF | ( | const MatrixF & | m | ) |
| inline

QuatF | ( | const AngAxisF & | a | ) |
| inline

QuatF | ( | const EulerF & | e | ) |
| inline

## Member Function Documentation

F32 angleBetween | ( | const QuatF & | q | ) |
| inline

F32 dot | ( | const QuatF & | q | ) | const
| inline

QuatF & extrapolate | ( | const QuatF & | q1,
|  | const QuatF & | q2,
|  | F32 | t
| ) |  |

QuatF & identity | ( | void |  | ) |
| inline

QuatF & interpolate | ( | const QuatF & | q1,
|  | const QuatF & | q2,
|  | F32 | t
| ) |  |

QuatF & inverse | ( | void |  | ) |

int isIdentity | ( |  | ) | const
| inline

QuatF & mul | ( | const QuatF & | a,
|  | const QuatF & | b
| ) |  |

Point3F & mulP | ( | const Point3F & | a,
|  | Point3F * | b
| ) |  |

QuatF & neg | ( |  | ) |
| inline

QuatF & normalize | ( |  | ) |

int operator!= | ( | const QuatF & | c | ) | const
| inline

QuatF & operator*= | ( | const QuatF & | c | ) |

QuatF & operator*= | ( | F32 | a | ) |

QuatF & operator+= | ( | const QuatF & | c | ) |

QuatF & operator-= | ( | const QuatF & | c | ) |

QuatF & operator/= | ( | const QuatF & | c | ) |

QuatF & operator/= | ( | F32 | a | ) |

int operator== | ( | const QuatF & | c | ) | const
| inline

QuatF & set | ( | F32 | _x,
|  | F32 | _y,
|  | F32 | _z,
|  | F32 | _w
| ) |  |
| inline

QuatF & set | ( | const MatrixF & | m | ) |

QuatF & set | ( | const AngAxisF & | m | ) |

QuatF & set | ( | const EulerF & | e | ) |

MatrixF * setMatrix | ( | MatrixF * | mat | ) | const

QuatF & slerp | ( | const QuatF & | q,
|  | F32 | t
| ) |  |

QuatF & square | ( |  | ) |

## Member Data Documentation

F32 w

F32 x

F32 y

F32 z

The documentation for this class was generated from the following files:

- math/mQuat.h
- math/mQuat.cc